# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Thu Aug 29 19:23:02 2024
# ------------------------------------------------

package:
  name: markupsafe
  version: 2.1.5
source:
  sha256: d283d37a890ba4c1ae73ffadf8046435c76e7bc2247bbb63c00bd1a709c6544b
  url: https://pypi.io/packages/source/m/markupsafe/MarkupSafe-2.1.5.tar.gz
build:
  number: '1'
  script: /home/conda/feedstock_root/build_artifacts/markupsafe_1724959817251/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/bin/python
    -m pip install . -vv --no-deps --no-build-isolation
  string: py311h5487e9b_1
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - _sysroot_linux-aarch64_curr_repodata_hack 4 h57d6b7b_16
    - binutils_impl_linux-aarch64 2.40 hf54a868_7
    - binutils_linux-aarch64 2.40 h1f91aba_1
    - gcc_impl_linux-aarch64 13.3.0 hcdea9b6_1
    - gcc_linux-aarch64 13.3.0 h1cd514b_1
    - kernel-headers_linux-aarch64 4.18.0 h5b4a56d_16
    - ld_impl_linux-aarch64 2.40 h9fc2d93_7
    - libgcc 14.1.0 he277a41_1
    - libgcc-devel_linux-aarch64 13.3.0 h0c07274_101
    - libgomp 14.1.0 he277a41_1
    - libsanitizer 13.3.0 ha58e236_1
    - libstdcxx 14.1.0 h3f4de04_1
    - sysroot_linux-aarch64 2.17 h5b4a56d_16
    - tzdata 2024a h8827d51_1
  host:
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h68df207_7
    - ca-certificates 2024.7.4 hcefe29a_0
    - ld_impl_linux-aarch64 2.40 h9fc2d93_7
    - libexpat 2.6.2 h2f0025b_0
    - libffi 3.4.2 h3557bc0_5
    - libgcc 14.1.0 he277a41_1
    - libgcc-ng 14.1.0 he9431aa_1
    - libgomp 14.1.0 he277a41_1
    - libnsl 2.0.1 h31becfc_0
    - libsqlite 3.46.0 hf51ef55_0
    - libuuid 2.38.1 hb4cce97_0
    - libxcrypt 4.4.36 h31becfc_1
    - libzlib 1.3.1 h68df207_1
    - ncurses 6.5 hcccb83c_1
    - openssl 3.3.1 h86ecc28_3
    - pip 24.2 pyh8b19718_1
    - python 3.11.9 hddfb980_0_cpython
    - readline 8.2 h8fc344f_1
    - setuptools 72.2.0 pyhd8ed1ab_0
    - tk 8.6.13 h194ca79_0
    - tzdata 2024a h8827d51_1
    - wheel 0.44.0 pyhd8ed1ab_0
    - xz 5.2.6 h9cdd2b7_0
  run:
    - libgcc >=13
    - python >=3.11,<3.12.0a0
    - python_abi 3.11.* *_cp311
  run_constrained:
    - jinja2 >=3.0.0
test:
  commands:
    - pip check
  imports:
    - markupsafe
  requires:
    - pip
about:
  description: 'MarkupSafe implements a text object that escapes characters so it
    is

    safe to use in HTML and XML. Characters that have special meanings are

    replaced so that they display as the actual characters. This mitigates

    injection attacks, meaning untrusted user input can safely be displayed

    on a page.

    '
  dev_url: https://github.com/pallets/markupsafe
  doc_url: https://markupsafe.palletsprojects.com/
  home: https://www.palletsprojects.com/p/markupsafe
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.rst
  summary: Safely add untrusted strings to HTML/XML markup.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20240829.2.1
  recipe-maintainers:
    - ocefpaf
    - pelson
    - scopatz
    - xylar
  remote_url: https://github.com/conda-forge/markupsafe-feedstock
  sha: 15e5518dd0abeb12214eac1b3e1ceb6702f609bc
